Skip to content
Start here

Delete a list

client.rules.lists.delete(stringlistId, ListDeleteParams { account_id } params, RequestOptionsoptions?): ListDeleteResponse { id }
DELETE/accounts/{account_id}/rules/lists/{list_id}

Deletes a specific list and all its items.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Account Filter Lists Edit
ParametersExpand Collapse
listId: string

The unique ID of the list.

maxLength32
minLength32
params: ListDeleteParams { account_id }
account_id: string

The Account ID for this resource.

maxLength32
minLength32
ReturnsExpand Collapse
ListDeleteResponse { id }
id: string

The unique ID of the list.

maxLength32
minLength32

Delete a list

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const list = await client.rules.lists.delete('2c0fc9fa937b11eaa1b71c4d701ab86e', {
  account_id: '023e105f4ecef8ad9ca31a8372d0c353',
});

console.log(list.id);
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "id": "2c0fc9fa937b11eaa1b71c4d701ab86e"
  },
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "id": "2c0fc9fa937b11eaa1b71c4d701ab86e"
  },
  "success": true
}